using GreadyPoang.DataLayer.Database;

namespace GreadyPoang
{
    public partial class App : Application
    {
        public App(DataContext dataContext)
        {
            InitializeComponent();
            dataContext.Database.EnsureCreated();
        }

        protected override Window CreateWindow(IActivationState? activationState)
        {
            return new Window(new AppShell());
        }
    }
}